(function($, owner) {
    var appid = '$campuscard_'; // app标识

    owner.getState = function() {
        var stateText = localStorage.getItem(appid + 'state') || "{}";
        return JSON.parse(stateText);
    }

    owner.setState = function(state) {
        state = state || {};
        localStorage.setItem(appid + 'state', JSON.stringify(state));
        //var settings = owner.getSettings();
        //settings.gestures = '';
        //owner.setSettings(settings);
    }

    owner.setSettings = function(settings) {
        settings = settings || {};
        localStorage.setItem(appid + 'settings', JSON.stringify(settings));
    }

    owner.getSettings = function() {
        var settingsText = localStorage.getItem(appid + 'settings') || "{}";
        return JSON.parse(settingsText);
    }

    owner.isInstalled = function(id) {
        if (id === 'qihoo' && mui.os.plus) {
            return true;
        }
        if (mui.os.android) {
            var main = plus.android.runtimeMainActivity();
            var packageManager = main.getPackageManager();
            var PackageManager = plus.android.importClass(packageManager)
            var packageName = {
                "qq": "com.tencent.mobileqq",
                "weixin": "com.tencent.mm",
                "sinaweibo": "com.sina.weibo"
            }
            try {
                return packageManager.getPackageInfo(packageName[id], PackageManager.GET_ACTIVITIES);
            } catch (e) {}
        } else {
            switch (id) {
                case "qq":
                    var TencentOAuth = plus.ios.import("TencentOAuth");
                    return TencentOAuth.iphoneQQInstalled();
                case "weixin":
                    var WXApi = plus.ios.import("WXApi");
                    return WXApi.isWXAppInstalled()
                case "sinaweibo":
                    var SinaAPI = plus.ios.import("WeiboSDK");
                    return SinaAPI.isWeiboAppInstalled()
                default:
                    break;
            }
        }
    }
}(mui, window.app = {}));